Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 19 Mar 2021 01:32:17 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi. I returned few items for my last order and the payment mode for that was cash on delivery and I still haven’t recieved my refund or it doesn’t even show up in my credit section on the app. It only shows 0.5 dirham which I tried applying to my cart and not even single dirham was deducted so please check and get back to me. Thanks

Nadiya Zahid https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2253633